# GpgFrontend Project: src/ui/thread/FileReadThread.h Source File

FileReadThread.h
#ifndef GPGFRONTEND_FILEREADTHREAD_H
#define GPGFRONTEND_FILEREADTHREAD_H
#include "ui/GpgFrontendUI.h"
namespace GpgFrontend::UI {
class FileReadThread : public QThread {
Q_OBJECT
public:
explicit FileReadThread(std::string path);
signals:
void SignalSendReadBlock(const std::string& block);
void SignalReadDone();
protected:
void run() override;
private:
std::string path_;
};
} // namespace GpgFrontend::UI
#endif // GPGFRONTEND_FILEREADTHREAD_H
GpgFrontend::UI
Definition: VerifyDetailsDialog.cpp:33
GpgFrontend::UI::FileReadThread
Definition: FileReadThread.h:38
GpgFrontend::UI::FileReadThread::SignalSendReadBlock
void SignalSendReadBlock(const std::string &block)
GpgFrontend::UI::FileReadThread::FileReadThread
FileReadThread(std::string path)
Construct a new File Read Thread object.
Definition: FileReadThread.cpp:34